using System;
using System.Collections.Generic;
using Microsoft.Extensions.Configuration;
using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc.RazorPages;
using VoteApp.Models;

namespace VoteApp.Pages
{
    public class MyVotesModel : PageModel
    {
        readonly IConfiguration _configuration;

        public List<Vote> voteResults = new List<Vote>();

        private string connectionString;

        public string loginName = "";

        public const string SessionKeyLoginName = "_LoginName";
        public string SessionInfo_LoginName { get; private set; }

        public MyVotesModel(IConfiguration configuration)
        {
            _configuration = configuration;

        }
        public void OnGet()
        {
            GetUserName();

            voteResults = GetMyVoteList();
        }

        private List<Vote> GetMyVoteList()
        {
            connectionString = _configuration.GetConnectionString("ConnectionString");

            List<Vote> voteList = new List<Vote>();

            Vote vote = new Vote();

            voteList = vote.GetMyVotes(connectionString, loginName);

            return voteList;
        }


        private void GetUserName()
        {
            if (!string.IsNullOrEmpty(HttpContext.Session.GetString(SessionKeyLoginName)))
                loginName = (string)HttpContext.Session.GetString(SessionKeyLoginName);

        }
    }
}
